Subject: bug#73765: closed (Re: bug#73765: Request for merging "meson-enable-parallel-tests" branch)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Nov 2024 11:52:03 +0000

Your bug report

#73765: Request for merging "meson-enable-parallel-tests" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73765: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73765
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73765: Request for merging "meson-enable-parallel-tests" branch
From: Andreas Enge <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Maxim Cournoyer <[email-masked]>
Date: Wed, 27 Nov 2024 12:51:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I have gone back to the original merge request and noticed, following
Maxim's remark, that indeed no build failures occurred. Updating the meson
version resulted in build failures, but which looked more like random test
failures in somewhat brittle packages that fail on and off.

So I have taken the liberty and rebased on master and pushed.

I had forgotten that the branch was not yet built on i686, sorry.

Apart from that, I think it is good to clear the space for the following
branches waiting in line.

Andreas

Subject: Request for merging "meson-enable-parallel-tests" branch
From: Maxim Cournoyer <[email-masked]>
To: guix-patches <[email-masked]>
Date: Sat, 12 Oct 2024 14:36:12 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This was fully built for x86_64 as some insurance that it didn't
introduce any problem:
https://ci.guix.gnu.org/jobset/meson-parallel-tests

It's ready to me merged.

-- 
Thanks,
Maxim